Saltar al contenido principal
GET
/
v1
/
webhooks
/
outbound
/
{id}
Obtener un webhook saliente
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/webhooks/outbound/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://plugin-pix-indirect.api.lerian.net/v1/webhooks/outbound/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://plugin-pix-indirect.api.lerian.net/v1/webhooks/outbound/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "attemptCount": 0,
  "createdAt": "2026-05-21T12:00:00Z",
  "deadLetter": false,
  "deliveredAt": "2026-05-21T12:00:00Z",
  "entityId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "entityType": "DICT_ENTRY",
  "errorMessage": "timeout calling target URL",
  "failedAt": "2026-05-21T12:00:00Z",
  "failureReason": "max_retries_exceeded",
  "flowType": "DICT",
  "id": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "lastAttemptAt": "2026-05-21T12:00:00Z",
  "maxRetries": 3,
  "movedBy": "system",
  "nextRetryAt": "2026-05-21T12:00:00Z",
  "payload": {},
  "requestId": "560d59b9-3c74-46f8-be67-fee895b8e89e",
  "status": "PENDING",
  "targetUrl": "https://client.example.com/webhooks",
  "updatedAt": "2026-05-21T12:00:00Z"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

id
string
requerido

ID del webhook saliente (UUID)

Respuesta

OK

attemptCount
integer
Ejemplo:

0

createdAt
string<date-time>
Ejemplo:

"2026-05-21T12:00:00Z"

deadLetter
boolean

Campos exclusivos de dead-letter. Se completan cuando DeadLetter es true.

Ejemplo:

false

deliveredAt
string<date-time>
Ejemplo:

"2026-05-21T12:00:00Z"

entityId
string
Ejemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

entityType
string
Ejemplo:

"DICT_ENTRY"

errorMessage
string
Ejemplo:

"timeout calling target URL"

failedAt
string<date-time>
Ejemplo:

"2026-05-21T12:00:00Z"

failureReason
string
Ejemplo:

"max_retries_exceeded"

flowType
string
Ejemplo:

"DICT"

id
string
Ejemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

lastAttemptAt
string<date-time>
Ejemplo:

"2026-05-21T12:00:00Z"

maxRetries
integer
Ejemplo:

3

movedBy
string
Ejemplo:

"system"

nextRetryAt
string<date-time>
Ejemplo:

"2026-05-21T12:00:00Z"

payload
object
requestId
string
Ejemplo:

"560d59b9-3c74-46f8-be67-fee895b8e89e"

status
enum<string>
Opciones disponibles:
PENDING,
PROCESSING,
SENT,
FAILED,
DEAD_LETTER
Ejemplo:

"PENDING"

targetUrl
string
Ejemplo:

"https://client.example.com/webhooks"

updatedAt
string<date-time>
Ejemplo:

"2026-05-21T12:00:00Z"